aboutsummaryrefslogtreecommitdiffstats
path: root/tools/check-html.sh
diff options
context:
space:
mode:
authorDmitry Vyukov <dvyukov@google.com>2024-11-07 15:39:47 +0100
committerDmitry Vyukov <dvyukov@google.com>2024-11-07 16:25:52 +0000
commitf9c0cd6946b545524891cbe6eaafb3bd773b9b0a (patch)
tree239b2e7de862a584fb45307956966f0742bdf123 /tools/check-html.sh
parent8f815ccc244597135fc5b9f74aeb0e5d96ce8eb5 (diff)
tools: add HTML checking script
Check that HTML files are not inconsistently formatted with both tabs and spaces.
Diffstat (limited to 'tools/check-html.sh')
-rwxr-xr-xtools/check-html.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tools/check-html.sh b/tools/check-html.sh
new file mode 100755
index 000000000..1b122329e
--- /dev/null
+++ b/tools/check-html.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+# Copyright 2024 syzkaller project authors. All rights reserved.
+# Use of this source code is governed by Apache 2 LICENSE that can be found in the LICENSE file.
+
+FILES=0
+FAILED=""
+for F in $(find . -name "*.html"); do
+ ((FILES+=1))
+ TABS=`cat $F | grep " " | wc -l`
+ # templates.html uses several spaces to format commit info using fixed-width font.
+ SPACES=`cat $F | grep -v "Commit.Date" | grep " " | wc -l`
+ if [ "$TABS" = "0" ] || [ "$SPACES" = "0" ]; then continue; fi
+ # Ignore untracked files.
+ git ls-files --error-unmatch $F >/dev/null 2>&1
+ if [ $? -ne 0 ]; then continue; fi
+ echo "$F:1:1: Uses both spaces ($SPACES) and tabs ($TABS) for formatting. Use either one of these."
+ FAILED="1"
+done
+if [ "$FAILED" != "" ]; then exit 1; fi
+echo "$FILES HTML files checked for formatting"